| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs | Enumerations
OgreScriptLexer.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::ScriptLexer
struct | Ogre::ScriptToken
| This struct represents a token, which is an ID'd lexeme from the parsing input stream. More...

## Namespaces
| Ogre

## Typedefs
typedef vector< ScriptTokenPtr >::type | Ogre::ScriptTokenList
typedef SharedPtr< ScriptTokenList > | Ogre::ScriptTokenListPtr
typedef SharedPtr< ScriptToken > | Ogre::ScriptTokenPtr

## Enumerations
enum | { Ogre::TID_LBRACKET = 0, Ogre::TID_RBRACKET, Ogre::TID_COLON, Ogre::TID_VARIABLE, Ogre::TID_WORD, Ogre::TID_QUOTE, Ogre::TID_NEWLINE, Ogre::TID_UNKNOWN, Ogre::TID_END }
| These codes represent token IDs which are numerical translations of specific lexemes. More...